commit:     cf770f48360b66d02cd79baba6b490c34ba6bb7e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 23 19:56:43 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Feb 23 20:18:04 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf770f48

dev-python/openapi-spec-validator: Bump to 0.8.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/openapi-spec-validator/Manifest         |  2 +
 .../openapi-spec-validator-0.8.0.ebuild            | 55 ++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-python/openapi-spec-validator/Manifest 
b/dev-python/openapi-spec-validator/Manifest
index 3ce9e0e12809..65496381dcfd 100644
--- a/dev-python/openapi-spec-validator/Manifest
+++ b/dev-python/openapi-spec-validator/Manifest
@@ -1,3 +1,5 @@
 DIST openapi_spec_validator-0.7.2.tar.gz 36855 BLAKE2B 
87914f72a4bcaa2a1b190902b4649dd46e0c5079a2dd8d56839f795aac4a2df4c1563b7529ee4db87a3f90607afbb74070525994b0a8fa5bb882514c952de704
 SHA512 
83ca3f7c731680962c113a0982592842cc42df4f7f5f21bcbd9ba28c1c7b5376fe8197c43b15b0b34bf506b6ba59eb928aa5b73372c7395da7c950fb4cdc1584
+DIST openapi_spec_validator-0.8.0.tar.gz 1744560 BLAKE2B 
6ac56b686c0d11b657cae6b117b25c785465f571ba893b4a375bb9d9c1c7dead3ccad17e946973c9446bd44a61e543096c788d189cd56ed4bc4289e9b879d0f9
 SHA512 
598a4dd47154bd10ced9bdae5243373dc329b5fd57baa5de5a9ef2c9cfa2466db5945009c50312b9e07043d771145c14b3dd357a4b5a2638a20f82783ab5406c
+DIST openapi_spec_validator-0.8.0.tar.gz.provenance 9722 BLAKE2B 
e867db7f88cf437f505f93399aa503d9f95a892ecbe724c81f108675635ff04209c51a02fa8b658f65e33cabfd9b3feb281b6afb573c355ac670d9e254235aec
 SHA512 
5912574f9ac632011c7f8519730943af0e3fcef9ed7270a308192154ae47c0fa798d35e1f140429dffccc4ea66763d5fe1b96d2de8b111bc615661904d8e7807
 DIST openapi_spec_validator-0.8.0b3.tar.gz 1744633 BLAKE2B 
65b2c0961960a3a26fe8a0225148d643dba16e2e77403f5ff3d0fa48f5a5675759a6f615be30cd3a63fa060ac9102a802072c9c70ece8fbd9a1f2155b264c471
 SHA512 
d71b56936c27438831c3972d97079dbc078258c20f53b48c9d7bbdeffa457e61b2208e71f329e781069c29c8fa8f03a3f0f81e5705242bc012bd002257dc0df8
 DIST openapi_spec_validator-0.8.0b3.tar.gz.provenance 10006 BLAKE2B 
4a7add3d34ecca72e60de61e4cc62e547d5f85ba53e132afb3f6637c2ce113b4b2835b1a138789997d97cb960507023818ee2c9ae67003f6fbdd80826ee4c074
 SHA512 
a0291c8e9f8550432bdbc5ae4a3f1866e20d45251f867741f0d059f1512b31808008771db078699c010448de0a70f08f3d71e4823adbc51e276cd09eacc600a9

diff --git 
a/dev-python/openapi-spec-validator/openapi-spec-validator-0.8.0.ebuild 
b/dev-python/openapi-spec-validator/openapi-spec-validator-0.8.0.ebuild
new file mode 100644
index 000000000000..025a1b5ed578
--- /dev/null
+++ b/dev-python/openapi-spec-validator/openapi-spec-validator-0.8.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYPI_VERIFY_REPO=https://github.com/python-openapi/openapi-spec-validator
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="OpenAPI 2.0 (aka Swagger) and OpenAPI 3.0 spec validator"
+HOMEPAGE="
+       https://github.com/python-openapi/openapi-spec-validator/
+       https://pypi.org/project/openapi-spec-validator/
+"
+
+LICENSE="BSD"
+SLOT="0"
+if [[ ${PV} != *_beta* ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+fi
+
+RDEPEND="
+       >=dev-python/jsonschema-4.24.0[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-path-0.4.2[${PYTHON_USEDEP}]
+       >=dev-python/lazy-object-proxy-1.7.1[${PYTHON_USEDEP}]
+       >=dev-python/openapi-schema-validator-0.7.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+       # Internet
+       tests/integration/test_shortcuts.py::TestPetstoreV2Example
+       tests/integration/test_shortcuts.py::TestApiV2WithExampe
+       tests/integration/test_shortcuts.py::TestPetstoreV2ExpandedExample
+       tests/integration/test_shortcuts.py::TestPetstoreExample
+       tests/integration/test_shortcuts.py::TestRemoteValidatev2SpecUrl
+       tests/integration/test_shortcuts.py::TestRemoteValidatev30SpecUrl
+       tests/integration/test_shortcuts.py::TestApiWithExample
+       tests/integration/test_shortcuts.py::TestPetstoreExpandedExample
+       tests/integration/test_validate.py::TestPetstoreExample
+       tests/integration/test_validate.py::TestApiWithExample
+       tests/integration/test_validate.py::TestPetstoreExpandedExample
+       tests/integration/validation/test_validators.py
+)
+
+src_prepare() {
+       sed -i -e '/--cov/d' pyproject.toml || die
+       # remove meaningless upper bounds
+       sed -i -e 's:,<[0-9.]*::' pyproject.toml || die
+       distutils-r1_src_prepare
+}

Reply via email to